$fn=100;

/* display glass diameter */
dspdia=34.0;
dsprad=dspdia/2.0;

difference () {
    union () {

        /* strap holders */
        difference () {
        translate([-9.0, -24.0, 0.0])
            cube([18, 8, 5]);
        translate([-7.5, -22.0, -0.01])
            cube([15, 2, 6]);

        translate([-7.5, -24.1, 3.0])
            cube([15, 2.2, 4]);
        translate([-7.5, -24.1, -.001])
            cube([15, 2.2, 2]);
        }
        translate([-9.0,16.0,0.0])
            cube([18,8,5]);

        /* main body */
        minkowski () {
            translate([0.0,0.0,0.0])
                cylinder( h=5.0, r=dsprad + 2 );
            translate([0.0,0.0,1.0]) rotate ([90,0,0])
                sphere(r=1);
        }
    }

    /* cut out for top glass */
    translate([0.0, 0.0, 6.5])
        cylinder(h=1 , r=dsprad+1);

    /* cut out for LCD glass */
    translate([0.0, 0.0, 5.5])
        cylinder( h=1.9 , r=(33.1/2.) );

    /* bottom cut out for e-tronics */
    translate([0.0,0.0,-0.001])
        cylinder( h=5.0 , r=dsprad-1.5 );
/*
    translate([-12.5,-12.5,-0.001])
        cube( [25,25, 5.0], center=false  );
*/
    /* bottom cut out for back cover */
    translate([0.0,0.0,-0.001])
        cylinder( h=.5 , r=dsprad+1.0 );


}
#translate([0.0,4.5,-0.001])
#        cylinder( h=3.2 , r=10.0 );
